Множественные уязвимости в FlexPHPDirectory

Дата публикации:
31.12.2008
Дата изменения:
31.12.2008
Всего просмотров:
2208
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
FlexPHPDirectory 0.x
Уязвимые версии: FlexPHPDirectory 0.0.1, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "checkuser" и "checkpass" в сценарии admin/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной проверки типов загружаемых изображений в функционале "Submit a listing". Удаленный пользователь может загрузить и выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: www.china-on-site.com/flexphpdir/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/7614

или введите имя

CAPTCHA